<?php
// ТАБЛИЦЫ ПО ВПФ
// list_vpf - дерево ВПФ, поле number - номер ВПФ  Период ВПФ берется из этой таблицы
// list_rm_fvp - связи между vpf_id	и inrm, на один inrm приходиться несколько vpf_id, vpf_id берутся из таблицы

// поле inrm есть в obj_site_workers, это ИНРМ конкретного сотрудника


// list_workings - список должностей, но таблица ПУСТАЯ!
// list_workings_fvp - Список ВПФ для должностей

// list_inrm - соответствие  ИНРМ - период ВПФ, таблица не прописана в install !!!
// list_ot_sout - Подразделение-Должность - ИНРМ - параметры СОУТ - 234 класс,

// не используются - list_rm_fvp_source, list_vpf_source

$__functions['init'][]='_ot_admin_vars';
$__functions['boot_admin'][]='_ot_admin_boot';
//$__functions['alert'][]   ='_ot_admin_alert' ;
$__functions['install'][]='_ot_install_modul';

function _ot_admin_vars() //
{   //$_SESSION['menu_admin_site']['Модули'][]=array('name'=>'Проекты','href'=>'editor_ot.php') ;
    //$_SESSION['menu_admin_site']['Модули'][]=array('name'=>'Счета на оплату','href'=>'editor_chet.php') ;

    //----------------------------------------------------------------------------------------------------------------------
    // описание пунктов верхнего меню админа сайта
    //-----------------------------------------------------------------------------------------------------------------------

    //----------------------------------------------------------------------------------------------------------------------
    // описание функций вывода полей объектов класса
    //-----------------------------------------------------------------------------------------------------------------------
    $_SESSION['descr_clss'][1]['fields']['doc_name']=array('type'=>'varchar(32)');
    $_SESSION['descr_clss'][1]['list']['field']['doc_name']=array('title'=>'CODE');

    $_SESSION['descr_clss'][20]['fields']['ext_info']=array('type'=>'serialize');

    //-----------------------------------------------------------------------------------------------------

    //-----------------------------------------------------------------------------------------------------

    //-----------------------------------------------------------------------------------------------------
    $_SESSION['descr_clss'][230]['name']='Вредные производственные факторы';
    $_SESSION['descr_clss'][230]['parent']=0;
    $_SESSION['descr_clss'][230]['fields']['number']=array('type'=>'varchar(32)','index'=>'number'); // № п/п, 1.1.4.2
    $_SESSION['descr_clss'][230]['fields']['period']=array('type'=>'int(11)'); // переодичность, 12 - 1 раз в год, 24 - раз в два года
    $_SESSION['descr_clss'][230]['fields']['doctors']=array('type'=>'text'); // список врачей-специалистов
    $_SESSION['descr_clss'][230]['fields']['checked']=array('type'=>'text'); // список исследований
    $_SESSION['descr_clss'][230]['fields']['comment']=array('type'=>'text'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent1']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent2']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent3']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent4']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent5']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent6']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent7']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent8']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['parent9']=array('type'=>'int(11)'); // дополнительные противопоказания
    $_SESSION['descr_clss'][230]['fields']['level']=array('type'=>'int(11)'); // дополнительные противопоказания

    $_SESSION['descr_clss'][231]['name']='Должность';
    $_SESSION['descr_clss'][231]['parent']=0;

    $_SESSION['descr_clss'][232]['name']='Вредные производственные факторы для ИНРМ';
    $_SESSION['descr_clss'][232]['parent']=0;
    $_SESSION['descr_clss'][232]['fields']['org_id']=array('type'=>'int(11)','index'=>'org_id');
    $_SESSION['descr_clss'][232]['fields']['otdel_id']=array('type'=>'int(11)','index'=>'otdel_id'); // № п/п, 1.1.4.2
    $_SESSION['descr_clss'][232]['fields']['work_id']=array('type'=>'int(11)','index'=>'work_id'); // № п/п, 1.1.4.2
    $_SESSION['descr_clss'][232]['fields']['vpf_id']=array('type'=>'int(11)','index'=>'vpf_id');
    $_SESSION['descr_clss'][232]['fields']['ball']=array('type'=>'float(10,1)'); // балл за фактор
    $_SESSION['descr_clss'][232]['fields']['inrm']=array('type'=>'varchar(32)','index'=>'inrm'); // ИНРМ

    $_SESSION['descr_clss'][233]['name']='Раздел ВПФ';
    $_SESSION['descr_clss'][233]['parent']=1;
	$_SESSION['descr_clss'][233]['fields']['number']=array('type'=>'varchar(32)','index'=>'number') ; // № п/п, 1.1.4.2

	$_SESSION['descr_clss'][234]['name']='Подразделение-Должность + ИНРМ + параметры СОУТ' ;
    $_SESSION['descr_clss'][234]['parent']=0;
    $_SESSION['descr_clss'][234]['fields']['dep_id']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['work_id']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['inrm']=array('type'=>'varchar(32)') ; // индивидуальный номер рабочего места
    $_SESSION['descr_clss'][234]['fields']['ball_safe']=array('type'=>'float(2,1)');
    $_SESSION['descr_clss'][234]['fields']['ball_old']=array('type'=>'float(2,1)');
    $_SESSION['descr_clss'][234]['fields']['oplata']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['otpusk']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['worktime']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['milk']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['pitanie']=array('type'=>'int(11)');
    $_SESSION['descr_clss'][234]['fields']['pensia']=array('type'=>'int(11)');


    $_SESSION['descr_clss'][235]['name']='Вредные производственные факторы для РМ';
    $_SESSION['descr_clss'][235]['parent']=0;
    $_SESSION['descr_clss'][235]['fields']['vpf_id']=array('type'=>'int(11)','index'=>'vpf_id');
    $_SESSION['descr_clss'][235]['fields']['inrm']=array('type'=>'varchar(32)','index'=>'inrm'); // ИНРМ

}

function _ot_admin_boot($options)
{
    create_system_modul_obj('ot');
}

function _ot_install_modul($DOT_root)
{
    //SETUP()->reg_report('Контроль трезвости','ot/report_ot.php') ;         //

    //$id_sect=SETUP_add_section_to_site_setting('Охрана труда') ;
    check_exists_dir('/public/ot_docs');

    // список вредных производственных факторов
    $pattern=array();
    $pattern['table_title']='Список ВПФ';
    $pattern['use_clss']='230,233';
    $pattern['table_name']='list_vpf';
    $pattern['table_clss']=101;
    $pattern['table_parent']=$DOT_root;
    create_table_by_pattern($pattern);

    // список вредных производственных факторов
    $pattern=array();
    $pattern['table_title']='Список должностей';
    $pattern['use_clss']='231';
    $pattern['table_name']='list_workings';
    $pattern['table_clss']=101;
    $pattern['table_parent']=$DOT_root;
    create_table_by_pattern($pattern);

    // список вредных производственных факторов
    $pattern=array();
    $pattern['table_title']='Список ВПФ для должностей';
    $pattern['use_clss']='232';
    $pattern['table_name']='list_workings_fvp';
    $pattern['table_clss']=101;
    $pattern['table_parent']=$DOT_root;
    create_table_by_pattern($pattern);

    $pattern=array();
    $pattern['table_title']		        = 	'Соответствия ВПФ ПМО для ИНРМ' ;
    $pattern['use_clss']='235';
    $pattern['table_name']='list_rm_fvp';
    $pattern['table_clss']=101;
    $pattern['table_parent']=$DOT_root;
    create_table_by_pattern($pattern);

    // список вредных производственных факторов
    $pattern=array();
    $pattern['table_title']='Параметры СОУТ';
    $pattern['use_clss']='234';
    $pattern['table_name']='list_ot_sout';
    $pattern['table_clss']=101;
    $pattern['table_parent']=$DOT_root;
    create_table_by_pattern($pattern);

    // создавем вьюверы
    $sql='create view view_list_orgs as
                select  t1.pkey,t1.obj_name,t1.enabled,t1.c_data,t1.r_data,t1.ext_info,t1.tkey
                from obj_site_personals t1
                where t1.clss=207
                ';
    create_viewer('view_list_orgs',$sql);

    $sql='create view view_list_otdels as
                select  t1.pkey,t2.pkey as org_id,t2.obj_name as org_name,t1.obj_name,t1.enabled,t1.c_data,t1.r_data,t1.ext_info,t1.tkey
                from obj_site_personals t1
                left join obj_site_personals t2 on t2.pkey=t1.parent
                where t1.clss=208
                ';
    create_viewer('view_list_otdels',$sql);
}

?>
